/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Abonofl;

import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 * @author depv
 */
@Local
public interface AbonoflFacadeLocal {

    void create(Abonofl abonofl);

    void edit(Abonofl abonofl);

    void remove(Abonofl abonofl);

    Abonofl find(Object id);

    List<Abonofl> findAll();

    List<Abonofl> findRange(int[] range);

    int count();

    List<Abonofl> ObtenerBoletasUsuarioIngresa(String usuarioCodigo, boolean estado);

    List<Abonofl> ObtenerBoletasUsuarioAnulado(String usuarioCodigo, boolean anulado);

    void GuardarBoleta(Abonofl abono);

    void AnulaBoleta(Abonofl a);

    List<Abonofl> obtenerBoletasV(String territorio);

    List<Abonofl> obtnerNoprocesadas(String tipo, Boolean estado, Date fecha);

    List<Abonofl> obtnerNoprocesadas(String tipo, Boolean estado);

    List<Abonofl> anuladas(String tipo, Date fecha);

    List<Abonofl> todasTipo(String tipo, Date fecha);
}
